Bug 26665 - Update request: exfatprogs-1.0.3-1.mga7
Summary: Update request: exfatprogs-1.0.3-1.mga7
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA7-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2020-05-21 15:17 CEST by Thomas Backlund
Modified: 2020-05-24 20:06 CEST (History)
3 users (show)

See Also:
Source RPM: exfatprogs
CVE:
Status comment:


Attachments

Description Thomas Backlund 2020-05-21 15:17:43 CEST
Another set of fixes for exfatprogs, advisory will follow:

SRPM:
exfatprogs-1.0.3-1.mga7.src.rpm


i586:
exfatprogs-1.0.3-1.mga7.i586.rpm


x86_64:
exfatprogs-1.0.3-1.mga7.x86_64.rpm
Comment 1 Thomas Backlund 2020-05-21 15:20:15 CEST
ref:
https://github.com/exfatprogs/exfatprogs/releases/tag/1.0.3
Comment 2 Herman Viaene 2020-05-23 14:02:52 CEST
MGA7-64 Plasma on Lenovo B50
No installation issues.
Ref bug 26536 for testing on a USB stick.
# mkfs.exfat -v /dev/sdb 
exfatprogs version : 1.0.3
[exfat_get_blk_dev_info: 174] Block device name : /dev/sdb
[exfat_get_blk_dev_info: 175] Block device size : 16004415488
[exfat_get_blk_dev_info: 176] Block sector size : 512
[exfat_get_blk_dev_info: 178] Number of the sectors : 31258624
[exfat_get_blk_dev_info: 180] Number of the clusters : 488416
[exfat_zero_out_disk: 477] zero out written size : 3276800, disk size : 16004415488
[make_exfat: 486] Creating exFAT filesystem(/dev/sdb, cluster size=32768)

[make_exfat: 488] Writing volume boot record: [exfat_setup_boot_sector:  62] Volume Length(sectors) : 31258624
[exfat_setup_boot_sector:  64] FAT Offset(sector offset) : 2048
[exfat_setup_boot_sector:  66] FAT Length(sectors) : 3840
[exfat_setup_boot_sector:  68] Cluster Heap Offset (sector offset) : 6144
[exfat_setup_boot_sector:  70] Cluster Count (sectors) : 488320
[exfat_setup_boot_sector:  72] Root Cluster (cluster offset) : 5
[exfat_setup_boot_sector:  74] Sector Size Bits : 9
[exfat_setup_boot_sector:  76] Sector per Cluster bits : 6
[make_exfat: 490] done
[make_exfat: 494] Writing backup volume boot record: [exfat_setup_boot_sector:  62] Volume Length(sectors) : 31258624
[exfat_setup_boot_sector:  64] FAT Offset(sector offset) : 2048
[exfat_setup_boot_sector:  66] FAT Length(sectors) : 3840
[exfat_setup_boot_sector:  68] Cluster Heap Offset (sector offset) : 6144
[exfat_setup_boot_sector:  70] Cluster Count (sectors) : 488320
[exfat_setup_boot_sector:  72] Root Cluster (cluster offset) : 5
[exfat_setup_boot_sector:  74] Sector Size Bits : 9
[exfat_setup_boot_sector:  76] Sector per Cluster bits : 6
[make_exfat: 497] done
[make_exfat: 501] Fat table creation: [exfat_create_fat_table: 319] Total used cluster count : 6
[make_exfat: 503] done
[make_exfat: 507] Allocation bitmap creation: [make_exfat: 509] done
[make_exfat: 513] Upcase table creation: [make_exfat: 515] done
[make_exfat: 519] Writing root directory entry: [make_exfat: 521] done
[main: 635] Synchronizing...
[main: 639] 
exFAT format complete!

Unmount and insert again.
# fsck.exfat /dev/sdb
exfatprogs version : 1.0.3
/dev/sdb: clean

Created a text file on it. Plugged the stick in my desktop PC. The stick was mounted correctly and I could read the file.

Finally reformatted the stick to vfat.
All worked OK.

Whiteboard: (none) => MGA7-64-OK
CC: (none) => herman.viaene

r howard 2020-05-23 19:55:49 CEST

CC: (none) => rihoward1

Thomas Backlund 2020-05-24 19:05:15 CEST

Keywords: (none) => advisory, validated_update
CC: (none) => sysadmin-bugs

Comment 3 Mageia Robot 2020-05-24 20:06:19 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2020-0135.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.